petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGhostRestoreLocalForm

Restores the local ghosted representation of a parallel vector obtained with VecGhostGetLocalForm().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGhostRestoreLocalForm(Vec g,Vec *l)

Logically Collective Many br

### Input Parameter

| g | - the global vector Many br
| l | - the local (ghosted) representation Many br

### Notes

This routine does not actually update the ghost values, but rather it Many brreturns a sequential vector that includes the locations for the ghost values Many brand their current values. Many br

Many br

### See Also

VecCreateGhost(), VecGhostGetLocalForm(), VecCreateGhostWithArray()

Level:advanced
Location:src/vec/vec/impls/mpi/commonmpvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html